Loading...
Searching...
No Matches
mbedtls_ecdh_context Struct Reference

The ECDH context structure. More...

`#include <ecdh.h>`

Collaboration diagram for mbedtls_ecdh_context:
[legend]

## Data Fields

uint8_t | private_point_format
mbedtls_ecp_group_id | private_grp_id
mbedtls_ecdh_variant | private_var
union { |
mbedtls_ecdh_context_mbed private_mbed_ecdh |
} | private_ctx

## Detailed Description

The ECDH context structure.

Warning
  Performing multiple operations concurrently on the same ECDSA context is not supported; objects of this type should not be shared between multiple threads.

Definition at line 105 of file ecdh.h.

## Field Documentation

## [union]

union { ... } mbedtls_ecdh_context::private_ctx

Implementation-specific context. The context in use is specified by the `var` field.

## private_grp_id

mbedtls_ecp_group_id mbedtls_ecdh_context::private_grp_id

The elliptic curve used.

Definition at line 123 of file ecdh.h.

## private_mbed_ecdh

mbedtls_ecdh_context_mbed mbedtls_ecdh_context::private_mbed_ecdh

Definition at line 126 of file ecdh.h.

## private_point_format

uint8_t mbedtls_ecdh_context::private_point_format

The format of point export in TLS messages as defined in RFC 4492.

Definition at line 121 of file ecdh.h.

## private_var

mbedtls_ecdh_variant mbedtls_ecdh_context::private_var

The ECDH implementation/structure used.

Definition at line 124 of file ecdh.h.

The documentation for this struct was generated from the following file:

- ecdh.h